aboutsummaryrefslogtreecommitdiff
path: root/internal/p10k.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'internal/p10k.zsh')
-rwxr-xr-xinternal/p10k.zsh6
1 files changed, 2 insertions, 4 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 966f8b5a..98177c94 100755
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -3051,10 +3051,8 @@ _p9k_preexec() {
}
function _p9k_set_iface() {
- if [[ ! -x /sbin/ifconfig ]]; then
- _p9k_iface=()
- return
- fi
+ _p9k_iface=()
+ [[ -x /sbin/ifconfig ]] || return
local line
local iface
for line in ${(f)"$(/sbin/ifconfig 2>/dev/null)"}; do